···11+diff --git a/WikipediaCleaner/resources/getdown/Bot.sh b/WikipediaCleaner/resources/getdown/Bot.sh
22+index c73ff234b..471b211b0 100644
33+--- a/WikipediaCleaner/resources/getdown/Bot.sh
44++++ b/WikipediaCleaner/resources/getdown/Bot.sh
55+@@ -9,24 +9,24 @@
66+ # ===== CONNECTION =====
77+ # The first part of the parameters consists in connection information.
88+ # You can use the following syntax:
99+-# Bot.sh en <username> <password> ...
1010++# wpcleaner-bot en <username> <password> ...
1111+ #
1212+ # Or with a credentials.txt file containing the following 2 lines :
1313+ # user=<username>
1414+ # password=<password>
1515+ # Then you can use the following syntax:
1616+-# Bot.sh -credentials credentials.txt en ...
1717++# wpcleaner-bot -credentials credentials.txt en ...
1818+ #
1919+ # ===== TASKS =====
2020+ # The second part of the parameters consists in the tasks to ask to the bot.
2121+ # For example, if you want to update disambiguation warnings, you can use the following syntax:
2222+-# Bot.sh ... UpdateDabWarnings
2323++# wpcleaner-bot ... UpdateDabWarnings
2424+ # Or if you want to execute a set of tasks described in a task file, you can use the following syntax:
2525+-# Bot.sh ... DoTasks <task file>
2626++# wpcleaner-bot ... DoTasks <task file>
2727+ #
2828+ # ===== NOTE =====
2929+ # If you want to pass extra arguments to the JVM, like increasing the memory available to Java,
3030+ # you can create an extra.txt file in the same folder with one parameter per line.
3131+ # For example, to allow 8G of RAM, the line will be: -Xmx=8192M
3232+3333+-java -jar libs/getdown-launcher.jar . bot "$@"
3434++java -cp @wpcleaner_jar@ org.wikipediacleaner.Bot "$@"
3535+diff --git a/WikipediaCleaner/resources/getdown/WPCleaner.sh b/WikipediaCleaner/resources/getdown/WPCleaner.sh
3636+index 28e3726cd..8eb8563fd 100644
3737+--- a/WikipediaCleaner/resources/getdown/WPCleaner.sh
3838++++ b/WikipediaCleaner/resources/getdown/WPCleaner.sh
3939+@@ -29,33 +29,18 @@
4040+ # You can execute this script with optional parameters that will be passed to
4141+ # WPCleaner. For example, if you want to automatically login to English
4242+ # Wikipedia, you can use the following syntax:
4343+-# WPCleaner.sh en <username> <password>
4444++# wpcleaner en <username> <password>
4545+ #
4646+ # Or with a credentials.txt file containing these 2 lines,
4747+ # user=<username>
4848+ # password=<password>
4949+ # you can use the following syntax to login automatically:
5050+-# WPCleaner.sh -credentials credentials.txt en
5151+-#
5252+-# If you want to pass extra arguments to the JVM, like increasing the memory
5353+-# available to Java, create a file named 'extra.txt' in the same directory as
5454+-# this script, with read permissions for any user which might invoke it, with
5555+-# one parameter per line. For example, to allow 8G of RAM, the line would read:
5656+-# -Xmx=8192M
5757+-
5858+-JAVA_APP_DIR="$(cd "$(dirname "$0")"; pwd -P)"
5959+-JAVA_LIB_DIR="${JAVA_APP_DIR}/libs"
6060+-cd "$JAVA_APP_DIR" || ( echo "Unable to open install directory." >&2; exit 1; )
6161++# wpcleaner -credentials credentials.txt en
6262++# or create a $XDG_CONFIG_HOME/wpcleaner/credentials.txt file, it will be used automatically
6363+6464+-JAVA_PARAMS="-jar ${JAVA_LIB_DIR}/getdown-launcher.jar . client"
6565+-
6666+-if [ -f credentials.txt ]; then
6767+- JAVA_PARAMS="${JAVA_PARAMS} -credentials credentials.txt"
6868++credentials="$XDG_CONFIG_HOME/wpcleaner/credentials.txt"
6969++if [[ "${credentials}" ]]; then
7070++ java -jar @wpcleaner_jar@ -credentials ${credentials} $@
7171++else
7272++ java -jar @wpcleaner_jar@ $@
7373+ fi
7474+-
7575+-case $# in
7676+- 0) java ${JAVA_PARAMS}
7777+- ;;
7878+- *) java ${JAVA_PARAMS} $@
7979+- ;;
8080+-esac
8181+diff --git a/WikipediaCleaner/run-task.sh b/WikipediaCleaner/run-task.sh
8282+index fff6ab234..1c3eed957 100755
8383+--- a/WikipediaCleaner/run-task.sh
8484++++ b/WikipediaCleaner/run-task.sh
8585+@@ -1,12 +1,12 @@
8686+ #! /bin/bash
8787+8888+-wpcleaner_jar="build/dist/full/WikipediaCleaner.jar"
8989++wpcleaner_jar="@wpcleaner_jar@"
9090+ if ! [[ -f "${wpcleaner_jar}" ]]; then
9191+ echo "WPCleaner is missing at ${wpcleaner_jar}, please build"
9292+ exit 1
9393+ fi
9494+9595+-credentials="resources/credentials.txt"
9696++credentials="$XDG_CONFIG_HOME/wpcleaner/credentials.txt"
9797+ if ! [[ -f "${credentials}" ]]; then
9898+ echo "Credentials file is missing at ${credentials}, please create it"
9999+ exit 1
100100+@@ -24,7 +24,7 @@ if [[ "${task}" == "" ]]; then
101101+ exit 1
102102+ fi
103103+104104+-tasks_dir="resources/tasks/${language}wiki"
105105++tasks_dir="@tasks@/${language}wiki"
106106+ if ! [[ -d "${tasks_dir}" ]]; then
107107+ echo "Task folder not found"
108108+ exit 1